VTK: vtkX3DExporterFIWriter Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkX3DExporterFIWriter Class Reference

`#include <vtkX3DExporterFIWriter.h>`

Inheritance diagram for vtkX3DExporterFIWriter:
[legend]
Collaboration diagram for vtkX3DExporterFIWriter:
[legend]

## Public Types
typedef vtkX3DExporterWriter | Superclass
Public Types inherited from vtkX3DExporterWriter
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkX3DExporterFIWriter * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | CloseFile () override
int | OpenFile (const char *file) override
| Opens the file specified with file returns 1 if successful otherwise 0. More...
int | OpenStream () override
| Init data support to be a stream instead of a file. More...
void | Flush () override
void | StartDocument () override
| Starts a document and sets all necessary information, i.e. More...
void | EndDocument () override
| Ends a document and sets all necessary information or necessary bytes to finish the encoding correctly. More...
void | StartNode (int elementID) override
| Starts/ends a new X3D node specified via nodeID. More...
void | EndNode () override
| Starts/ends a new X3D node specified via nodeID. More...
void | SetField (int attributeID, const char *, bool mfstring=false) override
| Sets the field specified with attributeID of the active node to the given value. More...
void | SetField (int attributeID, int) override
| Sets the field specified with attributeID of the active node to the given value. More...
void | SetField (int attributeID, float) override
| Sets the field specified with attributeID of the active node to the given value. More...
void | SetField (int attributeID, double) override
| Sets the field specified with attributeID of the active node to the given value. More...
void | SetField (int attributeID, bool) override
| Sets the field specified with attributeID of the active node to the given value. More...
void | SetField (int attributeID, int type, const double *a) override
| Sets the field specified with attributeID of the active node to the given value. More...
void | SetField (int attributeID, int type, vtkDataArray *a) override
| Sets the field specified with attributeID of the active node to the given value. More...
void | SetField (int attributeID, const double *values, size_t size) override
| Sets the field specified with attributeID of the active node to the given value. More...
void | SetField (int attributeID, int type, vtkCellArray *a)
void | SetField (int attributeID, const int *values, size_t size, bool image=false) override
| Sets the field specified with attributeID of the active node to the given value. More...
virtual void | SetFastest (vtkTypeBool)
| Use fastest instead of best compression. More...
virtual void | FastestOn ()
| Use fastest instead of best compression. More...
virtual void | FastestOff ()
| Use fastest instead of best compression. More...
virtual vtkTypeBool | GetFastest ()
| Use fastest instead of best compression. More...
Public Member Functions inherited from vtkX3DExporterWriter
vtkX3DExporterWriter * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
char * | RegisterAndGetOutputString ()
| This convenience method returns the string, sets the IVAR to nullptr, so that the user is responsible for deleting the string. More...
virtual void | SetWriteToOutputString (vtkTypeBool)
| Enable writing to an OutputString instead of the default, a file. More...
virtual vtkTypeBool | GetWriteToOutputString ()
| Enable writing to an OutputString instead of the default, a file. More...
virtual void | WriteToOutputStringOn ()
| Enable writing to an OutputString instead of the default, a file. More...
virtual void | WriteToOutputStringOff ()
| Enable writing to an OutputString instead of the default, a file. More...
virtual vtkIdType | GetOutputStringLength ()
| When WriteToOutputString in on, then a string is allocated, written to, and can be retrieved with these methods. More...
virtual char * | GetOutputString ()
| When WriteToOutputString in on, then a string is allocated, written to, and can be retrieved with these methods. More...
unsigned char * | GetBinaryOutputString ()
| When WriteToOutputString in on, then a string is allocated, written to, and can be retrieved with these methods. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkX3DExporterFIWriter * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkX3DExporterFIWriter * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkX3DExporterWriter
static vtkTypeBool | IsTypeOf (const char *type)
static vtkX3DExporterWriter * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkX3DExporterFIWriter ()
| ~vtkX3DExporterFIWriter () override
Protected Member Functions inherited from vtkX3DExporterWriter
| vtkX3DExporterWriter ()
| ~vtkX3DExporterWriter () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkX3DExporterWriter
char * | OutputString
vtkIdType | OutputStringLength
vtkTypeBool | WriteToOutputString
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

Definition at line 19 of file vtkX3DExporterFIWriter.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkX3DExporterWriter vtkX3DExporterFIWriter::Superclass

Definition at line 23 of file vtkX3DExporterFIWriter.h.

## Constructor & Destructor Documentation

## ◆ vtkX3DExporterFIWriter()

vtkX3DExporterFIWriter::vtkX3DExporterFIWriter | ( |  | ) |
| protected

## ◆ ~vtkX3DExporterFIWriter()

vtkX3DExporterFIWriter::~vtkX3DExporterFIWriter | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkX3DExporterFIWriter* vtkX3DExporterFIWriter::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkX3DExporterFIWriter::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkX3DExporterFIWriter::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkX3DExporterWriter.

## ◆ SafeDownCast()

static vtkX3DExporterFIWriter* vtkX3DExporterFIWriter::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkX3DExporterFIWriter::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkX3DExporterWriter.

## ◆ NewInstance()

vtkX3DExporterFIWriter* vtkX3DExporterFIWriter::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkX3DExporterFIWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ CloseFile()

void vtkX3DExporterFIWriter::CloseFile | ( |  | ) |
| overridevirtual

Implements vtkX3DExporterWriter.

## ◆ OpenFile()

int vtkX3DExporterFIWriter::OpenFile | ( | const char * | file | ) |
| overridevirtual

Opens the file specified with file returns 1 if successful otherwise 0.

Implements vtkX3DExporterWriter.

## ◆ OpenStream()

int vtkX3DExporterFIWriter::OpenStream | ( |  | ) |
| overridevirtual

Init data support to be a stream instead of a file.

Implements vtkX3DExporterWriter.

## ◆ Flush()

void vtkX3DExporterFIWriter::Flush | ( |  | ) |
| overridevirtual

Reimplemented from vtkX3DExporterWriter.

## ◆ StartDocument()

void vtkX3DExporterFIWriter::StartDocument | ( |  | ) |
| overridevirtual

Starts a document and sets all necessary information, i.e.

the header of the implemented encoding

Implements vtkX3DExporterWriter.

## ◆ EndDocument()

void vtkX3DExporterFIWriter::EndDocument | ( |  | ) |
| overridevirtual

Ends a document and sets all necessary information or necessary bytes to finish the encoding correctly.

Implements vtkX3DExporterWriter.

## ◆ StartNode()

void vtkX3DExporterFIWriter::StartNode | ( | int | nodeID | ) |
| overridevirtual

Starts/ends a new X3D node specified via nodeID.

The list of nodeIds can be found in vtkX3DExportWriterSymbols.h. The EndNode function closes the last open node. So there must be corresponding Start/EndNode() calls for every node

Implements vtkX3DExporterWriter.

## ◆ EndNode()

void vtkX3DExporterFIWriter::EndNode | ( |  | ) |
| overridevirtual

Starts/ends a new X3D node specified via nodeID.

The list of nodeIds can be found in vtkX3DExportWriterSymbols.h. The EndNode function closes the last open node. So there must be corresponding Start/EndNode() calls for every node

Implements vtkX3DExporterWriter.

## ◆ SetField() [1/10]

void vtkX3DExporterFIWriter::SetField | ( | int | attributeID,
|  | const char * | value,
|  | bool | mfstring = `false`
| ) |  |
| overridevirtual

Sets the field specified with attributeID of the active node to the given value.

The type of the field is SFString and MFString virtual void SetField(int attributeID, const std::string &value) = 0;

Implements vtkX3DExporterWriter.

## ◆ SetField() [2/10]

void vtkX3DExporterFIWriter::SetField | ( | int | attributeID,
|  | int |
| ) |  |
| overridevirtual

Sets the field specified with attributeID of the active node to the given value.

The type of the field is SFInt32

Implements vtkX3DExporterWriter.

## ◆ SetField() [3/10]

void vtkX3DExporterFIWriter::SetField | ( | int | attributeID,
|  | float |
| ) |  |
| overridevirtual

Sets the field specified with attributeID of the active node to the given value.

The type of the field is SFFloat

Implements vtkX3DExporterWriter.

## ◆ SetField() [4/10]

void vtkX3DExporterFIWriter::SetField | ( | int | attributeID,
|  | double |
| ) |  |
| overridevirtual

Sets the field specified with attributeID of the active node to the given value.

The type of the field is SFDouble

Implements vtkX3DExporterWriter.

## ◆ SetField() [5/10]

void vtkX3DExporterFIWriter::SetField | ( | int | attributeID,
|  | bool |
| ) |  |
| overridevirtual

Sets the field specified with attributeID of the active node to the given value.

The type of the field is SFBool

Implements vtkX3DExporterWriter.

## ◆ SetField() [6/10]

void vtkX3DExporterFIWriter::SetField | ( | int | attributeID,
|  | int | type,
|  | const double * | a
| ) |  |
| overridevirtual

Sets the field specified with attributeID of the active node to the given value.

The type of the field is specified with type Supported types: SFVEC3F, SFCOLOR, SFROTATION

Implements vtkX3DExporterWriter.

## ◆ SetField() [7/10]

void vtkX3DExporterFIWriter::SetField | ( | int | attributeID,
|  | int | type,
|  | vtkDataArray * | a
| ) |  |
| overridevirtual

Sets the field specified with attributeID of the active node to the given value.

The type of the field is specified with type Supported types: MFVEC3F, MFVEC2F

Implements vtkX3DExporterWriter.

## ◆ SetField() [8/10]

void vtkX3DExporterFIWriter::SetField | ( | int | attributeID,
|  | const double * | values,
|  | size_t | size
| ) |  |
| overridevirtual

Sets the field specified with attributeID of the active node to the given value.

The type of the field is specified with type Supported types: MFCOLOR

Implements vtkX3DExporterWriter.

## ◆ SetField() [9/10]

void vtkX3DExporterFIWriter::SetField | ( | int | attributeID,
|  | int | type,
|  | vtkCellArray * | a
| ) |  |

## ◆ SetField() [10/10]

void vtkX3DExporterFIWriter::SetField | ( | int | attributeID,
|  | const int * | values,
|  | size_t | size,
|  | bool | image = `false`
| ) |  |
| overridevirtual

Sets the field specified with attributeID of the active node to the given value.

The type of the field is specified with type It is possible to specify that the field is an image for optimized formatting or compression Supported types: MFINT32, SFIMAGE

Implements vtkX3DExporterWriter.

## ◆ SetFastest()

virtual void vtkX3DExporterFIWriter::SetFastest | ( | vtkTypeBool |  | ) |
| virtual

Use fastest instead of best compression.

## ◆ FastestOn()

virtual void vtkX3DExporterFIWriter::FastestOn | ( |  | ) |
| virtual

Use fastest instead of best compression.

## ◆ FastestOff()

virtual void vtkX3DExporterFIWriter::FastestOff | ( |  | ) |
| virtual

Use fastest instead of best compression.

## ◆ GetFastest()

virtual vtkTypeBool vtkX3DExporterFIWriter::GetFastest | ( |  | ) |
| virtual

Use fastest instead of best compression.

The documentation for this class was generated from the following file:

- IO/Export/vtkX3DExporterFIWriter.h